package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.mt1XXAbsCreator.MT101AbsCreator;

public class Tag71ACreator extends AbsTagCreate {
    private MT101AbsCreator MT101AbsCreator;

    public Tag71ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        MT101AbsCreator = (MT101AbsCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag71AValue = MT101AbsCreator.getDetailsOfCharges();
        MT101AbsCreator.set("71A", tag71AValue);
    }
}
